]> TLD Linux GIT Repositories - packages/spamassassin.git/blob - bug_828552-openssl-1.1.0
- from PLD
[packages/spamassassin.git] / bug_828552-openssl-1.1.0
1 From: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
2 Date: Thu, 22 Sep 2016 11:19:42 +0000
3 Subject: [PATCH] spamassassin: get it compiled against openssl 1.1.0
4
5 CRYPTO_lock was part of the old locking API which got removed. I picked
6 a different symbol.
7
8 Signed-off-by: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
9 ---
10  spamc/configure    | 22 +++++++++++-----------
11  spamc/configure.in |  2 +-
12  2 files changed, 12 insertions(+), 12 deletions(-)
13
14 Index: spamassassin-3.4.1/spamc/configure
15 ===================================================================
16 --- spamassassin-3.4.1.orig/spamc/configure
17 +++ spamassassin-3.4.1/spamc/configure
18 @@ -943,7 +943,7 @@ esac
19      else
20        echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
21      fi
22 -    cd "$ac_popdir"
23 +    cd $ac_popdir
24    done
25  fi
26  
27 @@ -1874,7 +1874,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
28    cat conftest.err >&5
29    echo "$as_me:$LINENO: \$? = $ac_status" >&5
30    (exit $ac_status); } &&
31 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
32 +        { ac_try='test -z "$ac_c_werror_flag"
33 +                        || test ! -s conftest.err'
34    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
35    (eval $ac_try) 2>&5
36    ac_status=$?
37 @@ -1932,7 +1933,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
38    cat conftest.err >&5
39    echo "$as_me:$LINENO: \$? = $ac_status" >&5
40    (exit $ac_status); } &&
41 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
42 +        { ac_try='test -z "$ac_c_werror_flag"
43 +                        || test ! -s conftest.err'
44    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
45    (eval $ac_try) 2>&5
46    ac_status=$?
47 @@ -2048,7 +2050,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
48    cat conftest.err >&5
49    echo "$as_me:$LINENO: \$? = $ac_status" >&5
50    (exit $ac_status); } &&
51 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
52 +        { ac_try='test -z "$ac_c_werror_flag"
53 +                        || test ! -s conftest.err'
54    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
55    (eval $ac_try) 2>&5
56    ac_status=$?
57 @@ -2102,7 +2105,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
58    cat conftest.err >&5
59    echo "$as_me:$LINENO: \$? = $ac_status" >&5
60    (exit $ac_status); } &&
61 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
62 +        { ac_try='test -z "$ac_c_werror_flag"
63 +                        || test ! -s conftest.err'
64    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
65    (eval $ac_try) 2>&5
66    ac_status=$?
67 @@ -2147,7 +2151,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
68    cat conftest.err >&5
69    echo "$as_me:$LINENO: \$? = $ac_status" >&5
70    (exit $ac_status); } &&
71 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
72 +        { ac_try='test -z "$ac_c_werror_flag"
73 +                        || test ! -s conftest.err'
74    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
75    (eval $ac_try) 2>&5
76    ac_status=$?
77 @@ -2191,7 +2196,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
78    cat conftest.err >&5
79    echo "$as_me:$LINENO: \$? = $ac_status" >&5
80    (exit $ac_status); } &&
81 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
82 +        { ac_try='test -z "$ac_c_werror_flag"
83 +                        || test ! -s conftest.err'
84    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
85    (eval $ac_try) 2>&5
86    ac_status=$?
87 @@ -2523,7 +2529,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
88    cat conftest.err >&5
89    echo "$as_me:$LINENO: \$? = $ac_status" >&5
90    (exit $ac_status); } &&
91 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
92 +        { ac_try='test -z "$ac_c_werror_flag"
93 +                        || test ! -s conftest.err'
94    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
95    (eval $ac_try) 2>&5
96    ac_status=$?
97 @@ -2693,7 +2700,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
98    cat conftest.err >&5
99    echo "$as_me:$LINENO: \$? = $ac_status" >&5
100    (exit $ac_status); } &&
101 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
102 +        { ac_try='test -z "$ac_c_werror_flag"
103 +                        || test ! -s conftest.err'
104    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
105    (eval $ac_try) 2>&5
106    ac_status=$?
107 @@ -2764,7 +2772,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
108    cat conftest.err >&5
109    echo "$as_me:$LINENO: \$? = $ac_status" >&5
110    (exit $ac_status); } &&
111 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
112 +        { ac_try='test -z "$ac_c_werror_flag"
113 +                        || test ! -s conftest.err'
114    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
115    (eval $ac_try) 2>&5
116    ac_status=$?
117 @@ -2917,7 +2926,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
118    cat conftest.err >&5
119    echo "$as_me:$LINENO: \$? = $ac_status" >&5
120    (exit $ac_status); } &&
121 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
122 +        { ac_try='test -z "$ac_c_werror_flag"
123 +                        || test ! -s conftest.err'
124    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
125    (eval $ac_try) 2>&5
126    ac_status=$?
127 @@ -3069,7 +3079,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
128    cat conftest.err >&5
129    echo "$as_me:$LINENO: \$? = $ac_status" >&5
130    (exit $ac_status); } &&
131 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
132 +        { ac_try='test -z "$ac_c_werror_flag"
133 +                        || test ! -s conftest.err'
134    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
135    (eval $ac_try) 2>&5
136    ac_status=$?
137 @@ -3260,7 +3271,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
138    cat conftest.err >&5
139    echo "$as_me:$LINENO: \$? = $ac_status" >&5
140    (exit $ac_status); } &&
141 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
142 +        { ac_try='test -z "$ac_c_werror_flag"
143 +                        || test ! -s conftest.err'
144    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
145    (eval $ac_try) 2>&5
146    ac_status=$?
147 @@ -3323,7 +3335,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
148    cat conftest.err >&5
149    echo "$as_me:$LINENO: \$? = $ac_status" >&5
150    (exit $ac_status); } &&
151 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
152 +        { ac_try='test -z "$ac_c_werror_flag"
153 +                        || test ! -s conftest.err'
154    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
155    (eval $ac_try) 2>&5
156    ac_status=$?
157 @@ -3388,7 +3401,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
158    cat conftest.err >&5
159    echo "$as_me:$LINENO: \$? = $ac_status" >&5
160    (exit $ac_status); } &&
161 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
162 +        { ac_try='test -z "$ac_c_werror_flag"
163 +                        || test ! -s conftest.err'
164    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
165    (eval $ac_try) 2>&5
166    ac_status=$?
167 @@ -3491,7 +3505,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
168    cat conftest.err >&5
169    echo "$as_me:$LINENO: \$? = $ac_status" >&5
170    (exit $ac_status); } &&
171 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
172 +        { ac_try='test -z "$ac_c_werror_flag"
173 +                        || test ! -s conftest.err'
174    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
175    (eval $ac_try) 2>&5
176    ac_status=$?
177 @@ -3557,7 +3572,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
178    cat conftest.err >&5
179    echo "$as_me:$LINENO: \$? = $ac_status" >&5
180    (exit $ac_status); } &&
181 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
182 +        { ac_try='test -z "$ac_c_werror_flag"
183 +                        || test ! -s conftest.err'
184    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
185    (eval $ac_try) 2>&5
186    ac_status=$?
187 @@ -3628,7 +3644,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
188    cat conftest.err >&5
189    echo "$as_me:$LINENO: \$? = $ac_status" >&5
190    (exit $ac_status); } &&
191 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
192 +        { ac_try='test -z "$ac_c_werror_flag"
193 +                        || test ! -s conftest.err'
194    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
195    (eval $ac_try) 2>&5
196    ac_status=$?
197 @@ -3666,9 +3683,9 @@ fi
198  SSLLIBS=""
199  SSLCFLAGS=""
200  if test yes = "$sa_ssl_enabled"; then
201 -       echo "$as_me:$LINENO: checking for CRYPTO_lock in -lcrypto" >&5
202 -echo $ECHO_N "checking for CRYPTO_lock in -lcrypto... $ECHO_C" >&6
203 -if test "${ac_cv_lib_crypto_CRYPTO_lock+set}" = set; then
204 +       echo "$as_me:$LINENO: checking for CRYPTO_malloc in -lcrypto" >&5
205 +echo $ECHO_N "checking for CRYPTO_malloc in -lcrypto... $ECHO_C" >&6
206 +if test "${ac_cv_lib_crypto_CRYPTO_malloc+set}" = set; then
207    echo $ECHO_N "(cached) $ECHO_C" >&6
208  else
209    ac_check_lib_save_LIBS=$LIBS
210 @@ -3686,11 +3703,11 @@ extern "C"
211  #endif
212  /* We use char because int might match the return type of a gcc2
213     builtin and then its argument prototype would still apply.  */
214 -char CRYPTO_lock ();
215 +char CRYPTO_malloc ();
216  int
217  main ()
218  {
219 -CRYPTO_lock ();
220 +CRYPTO_malloc ();
221    ;
222    return 0;
223  }
224 @@ -3704,7 +3721,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
225    cat conftest.err >&5
226    echo "$as_me:$LINENO: \$? = $ac_status" >&5
227    (exit $ac_status); } &&
228 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
229 +        { ac_try='test -z "$ac_c_werror_flag"
230 +                        || test ! -s conftest.err'
231    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
232    (eval $ac_try) 2>&5
233    ac_status=$?
234 @@ -3716,20 +3734,20 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
235    ac_status=$?
236    echo "$as_me:$LINENO: \$? = $ac_status" >&5
237    (exit $ac_status); }; }; then
238 -  ac_cv_lib_crypto_CRYPTO_lock=yes
239 +  ac_cv_lib_crypto_CRYPTO_malloc=yes
240  else
241    echo "$as_me: failed program was:" >&5
242  sed 's/^/| /' conftest.$ac_ext >&5
243  
244 -ac_cv_lib_crypto_CRYPTO_lock=no
245 +ac_cv_lib_crypto_CRYPTO_malloc=no
246  fi
247  rm -f conftest.err conftest.$ac_objext \
248        conftest$ac_exeext conftest.$ac_ext
249  LIBS=$ac_check_lib_save_LIBS
250  fi
251 -echo "$as_me:$LINENO: result: $ac_cv_lib_crypto_CRYPTO_lock" >&5
252 -echo "${ECHO_T}$ac_cv_lib_crypto_CRYPTO_lock" >&6
253 -if test $ac_cv_lib_crypto_CRYPTO_lock = yes; then
254 +echo "$as_me:$LINENO: result: $ac_cv_lib_crypto_CRYPTO_malloc" >&5
255 +echo "${ECHO_T}$ac_cv_lib_crypto_CRYPTO_malloc" >&6
256 +if test $ac_cv_lib_crypto_CRYPTO_malloc = yes; then
257    SSLLIBS="-lcrypto $SSLLIBS"
258  fi
259  
260 @@ -3771,7 +3789,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
261    cat conftest.err >&5
262    echo "$as_me:$LINENO: \$? = $ac_status" >&5
263    (exit $ac_status); } &&
264 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
265 +        { ac_try='test -z "$ac_c_werror_flag"
266 +                        || test ! -s conftest.err'
267    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
268    (eval $ac_try) 2>&5
269    ac_status=$?
270 @@ -3804,7 +3823,7 @@ fi
271         # before defining SPAMC_SSL check that all its requirements are
272         # actually available
273         if test yes = "$ac_cv_header_openssl_crypto_h" && \
274 -          test yes = "$ac_cv_lib_crypto_CRYPTO_lock" && \
275 +          test yes = "$ac_cv_lib_crypto_CRYPTO_malloc" && \
276            test yes = "$ac_cv_lib_ssl_SSL_CTX_free"; then
277                 SSLCFLAGS="-DSPAMC_SSL"
278         else
279 @@ -3854,7 +3873,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
280    cat conftest.err >&5
281    echo "$as_me:$LINENO: \$? = $ac_status" >&5
282    (exit $ac_status); } &&
283 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
284 +        { ac_try='test -z "$ac_c_werror_flag"
285 +                        || test ! -s conftest.err'
286    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
287    (eval $ac_try) 2>&5
288    ac_status=$?
289 @@ -3927,7 +3947,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
290    cat conftest.err >&5
291    echo "$as_me:$LINENO: \$? = $ac_status" >&5
292    (exit $ac_status); } &&
293 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
294 +        { ac_try='test -z "$ac_c_werror_flag"
295 +                        || test ! -s conftest.err'
296    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
297    (eval $ac_try) 2>&5
298    ac_status=$?
299 @@ -4000,7 +4021,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
300    cat conftest.err >&5
301    echo "$as_me:$LINENO: \$? = $ac_status" >&5
302    (exit $ac_status); } &&
303 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
304 +        { ac_try='test -z "$ac_c_werror_flag"
305 +                        || test ! -s conftest.err'
306    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
307    (eval $ac_try) 2>&5
308    ac_status=$?
309 @@ -4073,7 +4095,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
310    cat conftest.err >&5
311    echo "$as_me:$LINENO: \$? = $ac_status" >&5
312    (exit $ac_status); } &&
313 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
314 +        { ac_try='test -z "$ac_c_werror_flag"
315 +                        || test ! -s conftest.err'
316    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
317    (eval $ac_try) 2>&5
318    ac_status=$?
319 @@ -4182,7 +4205,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
320    cat conftest.err >&5
321    echo "$as_me:$LINENO: \$? = $ac_status" >&5
322    (exit $ac_status); } &&
323 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
324 +        { ac_try='test -z "$ac_c_werror_flag"
325 +                        || test ! -s conftest.err'
326    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
327    (eval $ac_try) 2>&5
328    ac_status=$?
329 @@ -4246,7 +4270,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
330    cat conftest.err >&5
331    echo "$as_me:$LINENO: \$? = $ac_status" >&5
332    (exit $ac_status); } &&
333 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
334 +        { ac_try='test -z "$ac_c_werror_flag"
335 +                        || test ! -s conftest.err'
336    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
337    (eval $ac_try) 2>&5
338    ac_status=$?
339 @@ -4311,7 +4336,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
340    cat conftest.err >&5
341    echo "$as_me:$LINENO: \$? = $ac_status" >&5
342    (exit $ac_status); } &&
343 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
344 +        { ac_try='test -z "$ac_c_werror_flag"
345 +                        || test ! -s conftest.err'
346    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
347    (eval $ac_try) 2>&5
348    ac_status=$?
349 @@ -4368,7 +4394,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
350    cat conftest.err >&5
351    echo "$as_me:$LINENO: \$? = $ac_status" >&5
352    (exit $ac_status); } &&
353 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
354 +        { ac_try='test -z "$ac_c_werror_flag"
355 +                        || test ! -s conftest.err'
356    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
357    (eval $ac_try) 2>&5
358    ac_status=$?
359 @@ -4435,7 +4462,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
360    cat conftest.err >&5
361    echo "$as_me:$LINENO: \$? = $ac_status" >&5
362    (exit $ac_status); } &&
363 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
364 +        { ac_try='test -z "$ac_c_werror_flag"
365 +                        || test ! -s conftest.err'
366    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
367    (eval $ac_try) 2>&5
368    ac_status=$?
369 @@ -4500,7 +4528,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
370    cat conftest.err >&5
371    echo "$as_me:$LINENO: \$? = $ac_status" >&5
372    (exit $ac_status); } &&
373 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
374 +        { ac_try='test -z "$ac_c_werror_flag"
375 +                        || test ! -s conftest.err'
376    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
377    (eval $ac_try) 2>&5
378    ac_status=$?
379 @@ -4564,7 +4593,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
380    cat conftest.err >&5
381    echo "$as_me:$LINENO: \$? = $ac_status" >&5
382    (exit $ac_status); } &&
383 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
384 +        { ac_try='test -z "$ac_c_werror_flag"
385 +                        || test ! -s conftest.err'
386    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
387    (eval $ac_try) 2>&5
388    ac_status=$?
389 @@ -4628,7 +4658,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
390    cat conftest.err >&5
391    echo "$as_me:$LINENO: \$? = $ac_status" >&5
392    (exit $ac_status); } &&
393 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
394 +        { ac_try='test -z "$ac_c_werror_flag"
395 +                        || test ! -s conftest.err'
396    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
397    (eval $ac_try) 2>&5
398    ac_status=$?
399 @@ -4692,7 +4723,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
400    cat conftest.err >&5
401    echo "$as_me:$LINENO: \$? = $ac_status" >&5
402    (exit $ac_status); } &&
403 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
404 +        { ac_try='test -z "$ac_c_werror_flag"
405 +                        || test ! -s conftest.err'
406    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
407    (eval $ac_try) 2>&5
408    ac_status=$?
409 @@ -5527,6 +5559,11 @@ esac
410  
411  
412  
413 +  if test x"$ac_file" != x-; then
414 +    { echo "$as_me:$LINENO: creating $ac_file" >&5
415 +echo "$as_me: creating $ac_file" >&6;}
416 +    rm -f "$ac_file"
417 +  fi
418    # Let's still pretend it is `configure' which instantiates (i.e., don't
419    # use $as_me), people would be surprised to read:
420    #    /* config.h.  Generated by config.status.  */
421 @@ -5565,12 +5602,6 @@ echo "$as_me: error: cannot find input f
422          fi;;
423        esac
424      done` || { (exit 1); exit 1; }
425 -
426 -  if test x"$ac_file" != x-; then
427 -    { echo "$as_me:$LINENO: creating $ac_file" >&5
428 -echo "$as_me: creating $ac_file" >&6;}
429 -    rm -f "$ac_file"
430 -  fi
431  _ACEOF
432  cat >>$CONFIG_STATUS <<_ACEOF
433    sed "$ac_vpsub
434 Index: spamassassin-3.4.1/spamc/configure.in
435 ===================================================================
436 --- spamassassin-3.4.1.orig/spamc/configure.in
437 +++ spamassassin-3.4.1/spamc/configure.in
438 @@ -64,13 +64,13 @@ AC_CHECK_LIB(socket, socket)
439  SSLLIBS=""
440  SSLCFLAGS=""
441  if test yes = "$sa_ssl_enabled"; then
442 -       AC_CHECK_LIB(crypto, CRYPTO_lock,[SSLLIBS="-lcrypto $SSLLIBS"])
443 +       AC_CHECK_LIB(crypto, CRYPTO_malloc,[SSLLIBS="-lcrypto $SSLLIBS"])
444         AC_CHECK_LIB(ssl, SSL_CTX_free,[SSLLIBS="-lssl $SSLLIBS"],,-lcrypto)
445  
446         # before defining SPAMC_SSL check that all its requirements are
447         # actually available
448         if test yes = "$ac_cv_header_openssl_crypto_h" && \
449 -          test yes = "$ac_cv_lib_crypto_CRYPTO_lock" && \
450 +          test yes = "$ac_cv_lib_crypto_CRYPTO_malloc" && \
451            test yes = "$ac_cv_lib_ssl_SSL_CTX_free"; then
452                 SSLCFLAGS="-DSPAMC_SSL"
453         else